Bug 1262437 - On LogMeIn Remotely Anywhere web GUI, Ice-Tea web crashes, locking up X for a minute on load [NEEDINFO]
On LogMeIn Remotely Anywhere web GUI, Ice-Tea web crashes, locking up X for a...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: icedtea-web (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks: 1297579
  Show dependency treegraph
 
Reported: 2015-09-11 12:41 EDT by James Pulver
Modified: 2016-02-11 03:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 11:37:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dbhole: needinfo? (d5vw-synm)
jvanek: needinfo? (d5vw-synm)


Attachments (Terms of Use)

  None (edit)
Description James Pulver 2015-09-11 12:41:24 EDT
Description of problem:
We use Remotely Anywhere and Log Me In internally for remote control of Windows computers. Loading Remotely Anywhere 11.3 website the first time in a log in session leads to an Ice-Tea plugin crash in Firefox. This makes it so you cannot click on any control in the entire X session. The mouse does still move. I have tested in XFCE, GNOME and GNOME CLASSIC with the same results for window managers.

Version-Release number of selected component (if applicable):


How reproducible: Every first login to a specific Windows computer in a login session.


Steps to Reproduce:
1. Using Firefox, Open a Remotely Anywhere console.
2. Log in with Windows administrative credentials.
3. If necessary, accept the self-signed certificate.

Actual results: Pop-up from Ice-Tea Web asking if you want to run the java applet, unable to click on any control in the GUI, including WM to switch programs, for one minute or longer.


Expected results: Pop-up from Ice-Tea Web asking if you want to run the java applet, and you are able to click "Yes" immediately, or change programs etc...


Additional info:
Comment 2 Andrew Azores 2015-09-11 15:47:02 EDT
If you run itweb-settings, there is a category in the left side pane called "Debugging". In this panel there are options like "Enable debugging" and "Enable logging to file", which may be helpful if you could enable them. The "Java Console" may also be useful, so you might try changing the dropdown to "Show on startup" in this same panel.

You can also launch Firefox from a terminal and see if any useful error messages are printed to the terminal in this case. You can make this output more verbose by setting the environment variable ICEDTEAPLUGIN_DEBUG to "true" first:

ICEDTEAPLUGIN_DEBUG="true" firefox

Finally, which version of IcedTea-Web are you using? You can check this either with yum/rpm or simply invoking 'javaws -version'.

Please enable some of the debugging options above and attach log files after reproducing the problem.
Comment 4 Deepak Bhole 2016-01-25 17:56:57 EST
Hi James, can you please provide the information requested in Comment #2?
Comment 5 Deepak Bhole 2016-01-29 17:07:33 EST
Setting CONDACK as fix depends on getting a reproducer first.
Comment 7 jiri vanek 2016-02-03 12:33:25 EST
James, may you please provide full url where to test this?
Comment 8 jiri vanek 2016-02-10 11:37:26 EST
It was not heard back on this issue since 2015-09-11 15:47:02 EDT . Closing.
(however happy I would be to fix the issue, I' assuming the mail address is fake)
Comment 9 jiri vanek 2016-02-11 03:38:42 EST
Also, this bug is very likely fixed by new 1.6.2[1] which was fixing  few 1.5->1.6 regressions.  I would like to recommend this release as z stream update for 7.2[2]


[1] http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2016-February/034831.html
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1299973

Note You need to log in before you can comment on or make changes to this bug.